Bug 1001505 - cimprovagt dies with SIGSEGV after some time.
cimprovagt dies with SIGSEGV after some time.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tog-pegasus (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 922084
  Show dependency treegraph
 
Reported: 2013-08-27 03:55 EDT by Robin Hack
Modified: 2016-07-19 06:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:19:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
slightly different backtrace from abrt with threads (27.78 KB, text/plain)
2013-09-19 08:41 EDT, Vladimir Benes
no flags Details

  None (edit)
Description Robin Hack 2013-08-27 03:55:53 EDT
Description of problem:


Version-Release number of selected component (if applicable):
tog-pegasus-2.12.1-7.fc20.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. I have openlmi-network provider installed
2. $ wbemcli ei -nl -noverify 'https://root:blank@localhost:5989 root/cimv2:LMI_LANEndpoint'
3. # ps xa | grep cimpro | grep -v grep
  7769 ?        Ssl    0:00 /usr/libexec/pegasus/cimprovagt 0 8 11 root cmpiLMI_Networking
4. # gdb -p 7769
(gdb) continue 
Continuing.

Now wait around 10 minutes.

[Thread 0x7f7a76433700 (LWP 7771) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f7a817fe700 (LWP 7770)]
0x00007f7a7720be00 in ?? ()

(gdb) bt
#0  0x00007f7a7720be00 in ?? ()
#1  0x00007f7a7f62ca52 in __nptl_deallocate_tsd () at pthread_create.c:156
#2  0x00007f7a7f62cc61 in start_thread (arg=0x7f7a817fe700) at pthread_create.c:315
#3  0x00007f7a7e906ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

(gdb) bt full
#0  0x00007f7a7720be00 in ?? ()
No symbol table info available.
#1  0x00007f7a7f62ca52 in __nptl_deallocate_tsd () at pthread_create.c:156
        data = 0x7f7a7800b8c0
        idx = 0
        cnt = 140164135381576
#2  0x00007f7a7f62cc61 in start_thread (arg=0x7f7a817fe700) at pthread_create.c:315
        pd = 0x7f7a817fe700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140164135380736, 6886346507492975421, 0, 140164135381440, 140164135380736, 140737443817744, -6817265290315898051, 
                -6816820993728388291}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#3  0x00007f7a7e906ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
No locals.


Actual results:
Segmentation fault

Expected results:
No segmentation fault.

Additional info:
Comment 1 Vladimir Benes 2013-09-19 08:41:23 EDT
Created attachment 799912 [details]
slightly different backtrace from abrt with threads
Comment 3 Jaroslav Reznik 2015-03-03 10:00:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:19:13 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.